:SetVar Function "AUX:TechLocalText"
:r $(DropFunctionScript_AUX)
create function [$(Function)]
(
   @DefaultText      $(dt_String_AUX),
   @InMainLanguage   $(dt_String_AUX) = null
)
returns $(dt_String_AUX)
BEGIN
/*==================================================================================================
# SQLAUX scripting library | Author: Sergei Y.Kitáev
----------------------------------------------------------------------------------------------------
#
# LOCALIZED TEXT, ACCORDING TO TECHNICAL LANGUAGE OF SQLAUX-LIBRARY —
# FOR TECH.ERROR MESSAGES (DEVELOPMENT/MAINTENANCE, SCENARIO OF LOCAL SQL-SERVER USAGE, ETC.):
#
# === Usage: ===
# dbo.[AUX:TechLocalText]( <Default text>, null )
# dbo.[AUX:TechLocalText]( <Default text>, <Text in main language> )
#
==================================================================================================*/
return IIF( dbo.[AUX:TechLanguage]()=$(num_MainLanguageId_AUX), @InMainLanguage, @DefaultText )
/*================================================================================================*/
END
GO
/*
select dbo.[AUX:TechLocalText]( N'Привет!', null ) 'Greeting'
select dbo.[AUX:TechLocalText]( 'Hello!', N'Привет!' ) 'Greeting'
*/
